@import "../_mixins.scss";

.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.pax8-short-desc {
  width: 250px;
}
.pax8-catalog-section {
  width: 100%;
  h3 {
    margin-bottom: 10px;
  }
  .pax8-infinite-list {
    .top-action {
      padding: 5px 0;
      .custom-search {
        padding: 0;
      }
    }
    .pax8-sku-col {
      max-width: 130px;
    }
    .pax8-name-col {
      max-width: 25%;
    }
    .pax8-vendor-col {
      max-width: 15%;
    }
    .align-center {
      display: flex;
      justify-content: center;
      text-align: center;
    }
    .header {
      border: none;
      padding-right: 5px;
    }
    #pax8-products-catalog {
      margin: 0;
      max-height: 60vh;
      min-height: 100px;
      border-top: 1px solid lightgray;
      border-bottom: 1px solid lightgray;
      @include small_scroll();
      .infinite-scroll-component {
        display: flex;
        flex-direction: column;
        gap: 10px;
        .row-panel {
          border-radius: 5px;
          min-height: 48px;
          border: 2px solid lightgray;
          .add-to-quoted-list {
            background-color: transparent !important;
            background-size: 35px !important;
            &:hover {
              background-color: transparent !important;
              background-size: 50px !important;
            }
            &:focus,
            &:active:hover,
            &:active:focus,
            &:hover:focus,
            &:active {
              background-color: #efefef !important;
              background-size: 50px !important;
              box-shadow: 1px 1px 20px 3px #00000022;
            }
          }
        }
      }
    }
  }
}

.pax8-products-container {
  width: 100%;
  position: relative;
  padding: 10px 20px;
  margin-bottom: 30px;
  .pax8-agr-spinner {
    z-index: 1;
    position: absolute;
    top: 50%;
  }
  h3 {
    border-bottom: 1px solid #ccc;
    padding: 0 0 5px 0;
  }

  #pax8-products-error {
    color: red;
    font-weight: 600;
    margin-top: 15px;
    font-size: var(--font-s);
  }

  .pax8-quoted-products-section {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    position: relative;
    .pax8-agr-temp-spinner {
      position: absolute;
      top: 50%;
    }
    .pax8-name {
      padding: 0;
      margin-top: -10px;
    }
    span.heading-text {
      display: inline-block;
      margin-top: 8px;
    }
    .pax8-add-product {
      float: right;
      margin-left: 10px;
      span.add-plus {
        font-size: 25px;
      }
    }
    .quoted-products-list {
      .header {
        border: none;
        padding-right: 0;
      }
      .cell {
        padding: 8px;
      }
      .pax8-sku-col {
        max-width: 145px;
      }
      .pax8-desc-sku-col {
        display: flex;
        flex-direction: column;
        .sku-line {
          font-size: var(--font-xs);
          display: inline-block;
          margin-top: 3px;
        }
      }
      .pax8-name-col {
        max-width: 25%;
      }
      .pax8-vendor-col {
        max-width: 15%;
      }
      .contract-col {
        flex-direction: column;
        max-width: 150px;
      }
      .align-center {
        display: flex;
        justify-content: center;
        text-align: center;
      }
      .quoted-products-rows {
        display: flex;
        flex-direction: column;
        gap: 10px;
        .row-panel {
          border-radius: 5px;
          min-height: 62px;
          border: 2px solid lightgray;
          .pax8-comment {
            display: flex;
            width: 100%;
            align-items: center;
            .pax8-comment-actions {
              display: flex;
              padding: 0 10px;
              justify-content: space-evenly;
              min-width: 110px;
              flex-grow: 1;
              flex-basis: calc(100% / 9);
              .pax8-icon-placeholder {
                width: 24px;
              }
            }
            .pax8-comment-input {
              padding: 0 15px 0 3px;
            }
          }
        }
        .row-panel.ordering-mode {
          color: #333;
          margin-bottom: 10px;
          .pax8-comment-actions,
          .pax8-btns {
            z-index: -1;
            opacity: 0;
          }
          .pax8-comment-input {
            margin-bottom: 17px;
          }
        }
        .pax-error-border {
          border: 2px solid red;
        }
      }
      .pax8-quantity-col {
        min-width: 70px;
        flex-basis: auto;
      }
    }
  }
}

.pax8-products-container.pax8-container-disabled {
  .pax8-catalog-section {
    display: none;
  }
  .pax8-quoted-products-section {
    margin-top: 0;
    .pax8-btns .confirm-help-icon.remove .delete-confirm-btn {
      display: none;
    }
  }
}

.pax8-btns {
  display: flex;
  justify-content: space-evenly;
  min-width: 110px;
  .required-icon {
    background-color: transparent !important;
    background-size: 20px !important;
    &:hover,
    &:focus,
    &:active {
      background-color: transparent !important;
      background-size: 22px !important;
    }
  }
  .view-btn {
    margin: 0;
    border-radius: 4px;
    border: none;
    background: url(/assets/new-icons/eye-fill.svg) center no-repeat;
    background-color: #f3f3f3 !important;
    &:hover,
    &:focus,
    &:active:hover,
    &:active:focus,
    &:hover:focus,
    &:active {
      border: none;
      background: url(/assets/new-icons/eye-fill.svg) center no-repeat;
      background-size: 18px !important;
      background-color: #dfdfdf !important;
    }
  }
  .edit-btn {
    margin: 0;
    border-radius: 4px;
    border: none;
    background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
    background-color: #f3f3f3;
    &:hover,
    &:focus,
    &:active:hover,
    &:active:focus,
    &:hover:focus,
    &:active {
      border: none;
      background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
      background-size: 18px;
      background-color: #dfdfdf;
    }
  }
  .confirm-help-icon.remove {
    .icon-remove-c {
      width: 15px;
      height: 15px;
      margin: 0;
      opacity: 0.5;
    }
  }
}

.pax8-product-edit-container {
  width: 100%;
  .pax8-modal-row {
    width: 100%;
    display: flex;
    font-size: var(--font-m);
    gap: 20px;
    margin-bottom: 10px;
  }
  .field-section {
    padding: 0;
    div.row.field__label {
      padding-bottom: 5px !important;
    }
    .detail {
      padding-top: 5px;
    }
  }
  .pax8-product-pricing {
    h4 {
      font-size: var(--font-s);
      color: var(--grey-label);
      margin: 20px 0 15px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      .checkbox-holder
        input[type="checkbox"].checkbox__input:checked
        + label.checkbox__content::after {
        margin-top: 0;
        padding-top: 3px;
      }
    }
    .pax8-pricing-table {
      margin-bottom: 15px;
      .pax8-pricing-header {
        display: flex;
        width: 100%;
        border-bottom: 2px solid lightgray;
        justify-content: flex-end;
        .right-headers {
          display: flex;
          width: 60%;
          .col-headers {
            width: 25%;
            padding: 5px;
            text-align: center;
            font-weight: 550;
            color: #333;
          }
        }
      }
      .pax8-pricing-row {
        width: 100%;
        display: flex;
        border: 2px solid lightgray;
        border-top: none;
        .radio-btn {
          width: 5%;
          padding: 0;
          justify-content: center;
          input[type="radio"] {
            margin-right: 0 !important;
          }
        }
        .pricing-left-col {
          width: 40%;
          display: flex;
          flex-direction: column;
          padding: 5px 0;
          justify-content: center;
          .left-col-details {
            padding: 2px 0 2px 5px;
            label {
              font-weight: 550;
              text-align: left;
              color: #333;
              margin-right: 5px;
            }
          }
        }
        .radio-btn + .pricing-left-col {
          width: 35%;
        }
        .pricing-right-col {
          display: flex;
          width: 60%;
          flex-direction: column;
          .rates-row {
            display: flex;
            flex-grow: 1;
            border-bottom: 1px solid lightgray;
            .rates-row-info {
              display: flex;
              align-items: center;
              justify-content: center;
              width: 25%;
              border-left: 1px solid lightgray;
              padding: 3px 5px;
              flex-direction: column;
            }
          }
          .rates-row:last-child {
            border-bottom: none;
          }
        }
      }
    }
    .pax8-pricing-table.catalog-pricing {
      .pax8-pricing-header {
        .right-headers {
          width: 75%;
        }
        .left-header {
          width: 25%;
          padding: 5px;
          text-align: center;
          font-weight: 550;
          color: #333;
        }
      }
      .pax8-pricing-row {
        .pricing-left-col {
          width: 25%;
          display: flex;
          align-items: center;
          justify-content: center;
        }
        .pricing-right-col {
          width: 75%;
        }
      }
    }
    .pax8-pricing-table.catalog-agr-pricing {
      > h4 {
        padding: 10px 0 15px;
        color: gray;
        font-weight: 550;
        margin: 0;
        border-bottom: 1px solid lightgray;
      }
      .catalog-pricing-header {
        display: grid;
        grid-template-columns: 150px 1fr 1fr 1fr 1fr;
        border-bottom: 1px solid lightgray;
        > div {
          padding: 5px;
          text-align: center;
          font-weight: 550;
          color: #333;
        }
      }
      .catalog-pricing-row {
        .radio-btn-group {
          .radio-btn {
            width: 20px;
          }
          .contract-text {
            display: flex;
            flex-direction: column;
            text-align: center;
          }
        }
        display: grid;
        grid-template-columns: 150px 1fr 1fr 1fr 1fr;
        border: 1px solid lightgray;
        border-top: none;

        > div {
          border-right: 1px solid lightgray;
          display: flex;
          align-items: center;
          justify-content: center;
          padding: 8px 5px;
          gap: 10px;
        }
        > div:last-child {
          border-right: none;
        }
      }
    }
  }
}

.pax8-calculations {
  .sub-heading {
    font-weight: 700;
    padding: 5px 0px;
    background-color: white;
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;
    margin: 25px 0 0;
    .text {
      margin: 0 20px;
      padding-bottom: 5px;
      border-bottom: 1px solid #ccc;
      width: 100%;
    }
  }
  .calculations-table {
    margin: 15px 20px;
    border: 1px solid lightgray;
    border-bottom: none;
    padding: 0 !important;
    h4 {
      border-bottom: 1px solid lightgray;
      padding: 5px 0;
      margin: 0 !important;
      background: #f5f5f5;
    }
    .calculations-table-header .calculations-header-title:first-child {
      width: 30% !important;
      justify-content: center !important;
    }
    .calculations-table-body {
      .calculations-table-row:last-child {
        border-top: 1px solid lightgray;
        .calculations-table-col {
          font-weight: 550 !important;
        }
      }
      .calculations-table-col:first-child {
        width: 30% !important;
        justify-content: center !important;
      }
    }
  }
}

.product-catalog-edit-container {
  position: relative;
  .product-config {
    display: flex;
    justify-content: space-between;
    margin: -5px 0 5px;
    flex-direction: row-reverse;
    .btn.square-btn.btn-primary.refresh-product-btn {
      min-width: unset;
      padding: 5px;
      border-radius: 50%;
      img {
        width: 15px;
      }
    }
  }
}
